<?php
// --------
// Sécurité
// --------
if (isValidConstant() != 1) {
    fermeSessionUtilisateur();
}

// ----------------------
// Droit de l'utilisateur
// ----------------------
if ($_SESSION['gestion_site'] < 'Oui') {
    exit;
}

function reset_champs() {
    global $lnom;
    global $lprenom;
    global $ladresse1;
    global $ladresse2;
    global $lville;
    global $lcodepostal;
    global $ltelephone;
    global $lnumero;
    global $lnoemploye;
    global $lmembreca;
    global $lpresentation;
    global $lnoemployeur;
    global $lemail;
    unset($lnom);
    unset($lprenom);
    unset($ladresse1);
    unset($ladresse2);
    unset($lville);
    unset($lcodepostal);
    unset($ltelephone);
    unset($lnumero);
    unset($lnoemploye);
    unset($lmembreca);
    unset($lpresentation);
    unset($lnoemployeur);
    unset($lemail);
    $lnom = "";
    $lprenom = "";
    $ladresse1 = "";
    $ladresse2 = "";
    $lville = "";
    $lcodepostal = "";
    $ltelephone = "";
    $lnumero = "";
    $lnoemploye = "";
    $lmembreca = "";
    $lpresentation = "";
    $lnoemployeur = "";
    $lemail = "";
}

// ------------------------------
// Caractéristiques du module
// ------------------------------
unset($module);
$module = array(
    "titre" => "Gestion des employés",
    "urldest" => $SCRIPT_NAME . "?page=liste_employes",
    "recherche" => array("engin" => true, "filtre_employeur_employe" => false),
    "jeton" => $jeton,
    "opradmin" => "Ajouter un employé",
    "fenetre" => array(
        "nom" => "liste_employes",
        "titre" => "titre",
        "largeur" => "850",
        "hauteur" => "545",
        "champs" => array("lnoemploye", "lpresentation", "lnom", "lprenom", "ladresse1", "ladresse2", "lville", "lcodepostal", "ltelephone", "lemail", "lmembreca", "lnolieutravail", "lnumero"),
        "validation" => true
    ),
    "msgajoutbouton" => "Ajout de la fiche d'employé",
    "actionajoutbouton" => "Ajouter la fiche de l'employé",
    "msgmodifbouton" => "Modification de la fiche de l'employé",
    "actionmodifbouton" => "Modifier la fiche de l'employé",
    "nombre_a_afficher" => array(
        0 => array("refid" => 15, "valeur" => 15),
        1 => array("refid" => 30, "valeur" => 30),
        2 => array("refid" => 45, "valeur" => 45),
        3 => array("refid" => 60, "valeur" => 60),
        4 => array("refid" => 120, "valeur" => 120)
    ),
    "lientri" => true,
    "entete" => array(
        1 => array("Nom" => "employes.nomfamille", "largeur" => "85px"),
        2 => array("Prénom" => "employes.prenom", "largeur" => "95px"),
        3 => array("# Emp" => "employes.numemploye", "largeur" => "75px"),
        4 => array("Adresse" => "(employes.adresse1+employes.adresse2+employes.ville+employes.codepostal)", "largeur" => "280px"),
        5 => array("Employeur" => "employeurs.refemployeur", "largeur" => "135px"),
        6 => array("Lieu travail" => "employeurs.reflieutravail", "largeur" => "135px"),
        7 => array("Téléphone" => "employes.numtel", "largeur" => "105px"),
        8 => array("Adresse @" => "employes.email", "largeur" => "180px"),
        9 => array("CA" => "employes.membreca", "largeur" => "40px"),
        10 => array("Action" => "expression", "largeur" => "45px")
    ),
    "colonneaction" => true,
    "nbaction" => 2,
    "msg" => array(
        "maj_ajout_ok" => "Ajout de la fiche de l'employé effectuée avec succès.",
        "maj_ok" => "Mise à jour de la fiche de l'employé effectuée avec succès.",
        "maj_echec" => "L'opération de mise à jour de la fiche de l'employé a échouée",
        "rech_ok" => "La recherche a été réussie.",
        "rech_echec" => "La recherche a été infructueuse ou a échouée.",
        "suppr_ok" => "L'opération de suppression a réussie.",
        "suppr_echec" => "L'opération de suppression a échouée.",
        "employeur_invalide" => "Employeur introuvable ou inconnu.",
        "lieutravail_invalide" => "Lieu de travail introuvable ou inconnu."
    )
);

// ------------------
// Requête sur le tri
// ------------------
$rtri = antiInjection($module["entete"][$tri][key($module["entete"][$tri])] . " " . $dir);

// -----------------------
// Opération de sauvegarde
// -----------------------
if (isset($action)) {
    $msg = "";
    $action = stripslashes(antiInjection($action));

    if ($action == "Modifier la fiche de l'employé" || $action == "Ajouter la fiche de l'employé") {
        $lnoemploye = antiInjection($lnoemploye);
        $lnom = antiInjection($lnom);
        $lprenom = antiInjection($lprenom);
        $ladresse1 = antiInjection($ladresse1);
        $ladresse2 = antiInjection($ladresse2);
        $lville = antiInjection($lville);
        $lcodepostal = antiInjection($lcodepostal);
        $ltelephone = antiInjection($ltelephone);
        $lnumero = antiInjection($lnumero);
        if (!isset($lmembreca)) {
            $lmembreca = 0;
        }
        $lmembreca = antiInjection(sprintf("%d", $lmembreca));
        $lpresentation = antiInjection($lpresentation);
        $lnolieutravail = antiInjection(sprintf("%d", $lnolieutravail));
        $lemail = antiInjection($lemail);

        //Validations d'usage
        if (empty($lnom)) {
            $module["resultatSQL"] = false;
            $module["message"] = "Le nom de famille de l'employé est requis";
            $error = true;
        } else if (empty($lprenom)) {
            $module["resultatSQL"] = false;
            $module["message"] = "Le prénom de l'employé est requis.";
            $error = true;
        } else if (empty($ladresse)) {
            $module["resultatSQL"] = false;
            $module["message"] = "L'adresse de l'employé est requis.";
            $error = true;
        } else if (empty($lville)) {
            $module["resultatSQL"] = false;
            $module["message"] = "Le nom de la ville est requis.";
            $error = true;
        } else if (!isValidCodePostal($lcodepostal)) {
            $module["resultatSQL"] = false;
            $module["message"] = "Le code postal est requis et doit être valide.";
            $error = true;
        } else if (!isValidPhone($ltelephone)) {
            $module["resultatSQL"] = false;
            $module["message"] = "Le numéro de téléphone est requis et doit être valide.";
            $error = true;
        } else if ($lnumero === "" || intval($lnumero) < 0) {
            $module["resultatSQL"] = false;
            $module["message"] = "Le numéro d'employé st requis et doit être valide.";
            $error = true;
        } else if (!filter_var($lemail, FILTER_VALIDATE_EMAIL)) {
            $module["resultatSQL"] = false;
            $module["message"] = "L'adresse courriel est requise et doit être valide.";
            $error = true;
        }

        //Cueillette de données du module
        unset($sqlparam, $result);
        $sqlparam["table"][] = "employeurs";
        $sqlparam["table"][] = "lieuxtravail";
        $sqlparam["join"][] = "employeurs.refemployeur = lieuxtravail.refemployeur";
        $sqlparam["where"][] = "lieuxtravail.reflieutravail=" . $lnolieutravail;
        $sqlparam["champs"][] = "employeurs.nomemployeur";
        $sqlparam["champs"][] = "employeurs.refemployeur";
        $result = executerRequeteSql($sqlparam);

        if (!isset($result) || count($result) == 0) {
            $module["resultatSQL"] = false;
            $module["message"] = $module["msg"]["lieutravail_invalide"];
        } else {

            $lnoemployeur = $result[0]["refemployeur"];

            unset($sqlparam);
            if ($action == "Modifier la fiche de l'employé") {
                $sqlparam["type"] = "UPDATE";
                $sqlparam["where"][] = sprintf("refemploye = %d", $lnoemploye);
            } else {
                $sqlparam["type"] = "INSERT";
                $sqlparam["champs"]["refemploye"] = sprintf("%d", $lnoemploye);
            }

            $sqlparam["table"][] = "employes";
            $sqlparam["champs"]["nomfamille"] = "'" . sprintf("%s", $lnom) . "'";
            $sqlparam["champs"]["prenom"] = "'" . sprintf("%s", $lprenom) . "'";
            $sqlparam["champs"]["numemploye"] = "'" . sprintf("%s", $lnumero) . "'";
            $sqlparam["champs"]["adresse1"] = "'" . sprintf("%s", $ladresse1) . "'";
            $sqlparam["champs"]["adresse2"] = "'" . sprintf("%s", $ladresse2) . "'";
            $sqlparam["champs"]["ville"] = "'" . sprintf("%s", $lville) . "'";
            $sqlparam["champs"]["codepostal"] = "'" . sprintf("%s", $lcodepostal) . "'";
            $sqlparam["champs"]["numtel"] = "'" . sprintf("%s", $ltelephone) . "'";
            $sqlparam["champs"]["refemployeur"] = sprintf("%d", $lnoemployeur);
            $sqlparam["champs"]["membreca"] = sprintf("%d", $lmembreca);
            $sqlparam["champs"]["presentation"] = "'" . sprintf("%s", $lpresentation) . "'";
            $sqlparam["champs"]["reflieutravail"] = sprintf("%d", $lnolieutravail);
            $sqlparam["champs"]["email"] = "'" . sprintf("%s", $lemail) . "'";

            $result = executerRequeteSql($sqlparam);
            if (isset($result)) {
                reset_champs();
                //Mettre à -1 pour effacer son ID.
                $lnoemploye = -1;
                $module["resultatSQL"] = true;
                if ($action == "Modifier la fiche de l'employé") {
                    $module["message"] = $module["msg"]["maj_ok"];
                } else {
                    $module["message"] = $module["msg"]["maj_ajout_ok"];
                }
            } else {
                $module["resultatSQL"] = false;
                $module["message"] = $module["msg"]["maj_echec"];
            }
        }
    } elseif ($action == "Recherche") {
        unset($sqlparam, $result);
        unset($sqlparam);
        $sqlparam["table"][] = "employes";
        $sqlparam["table"][] = "employeurs";
        $sqlparam["join"][] = "employes.refemployeur = employeurs.refemployeur";
        $sqlparam["champs"][] = "employes.nomfamille";
        $sqlparam["champs"][] = "employes.prenom";
        $sqlparam["champs"][] = "employes.numemploye";
        $sqlparam["champs"][] = "employes.adresse1";
        $sqlparam["champs"][] = "employes.adresse2";
        $sqlparam["champs"][] = "employes.ville";
        $sqlparam["champs"][] = "employes.codepostal";
        $sqlparam["champs"][] = "employes.refemployeur";
        $sqlparam["champs"][] = "employes.membreca";
        $sqlparam["champs"][] = "employes.refemploye";
        $sqlparam["champs"][] = "employeurs.nomemployeur";
        $sqlparam["champs"][] = "employes.numtel";
        $sqlparam["champs"][] = "employes.presentation";
        $sqlparam["champs"][] = "employes.email";
        if (isset($lreference) && !empty($lreference)) {
            $sqlparam["where"][] = "employes.refemploye=" . antiInjection($lreference);
            $result = executerRequeteSql($sqlparam);
            if (isset($result) && is_array($result)) {
                if (count($result) > 0) {
                    unset($recherchereussie);
                    $recherchereussie = true;
                    $lnom = antiInjection($result[0]["nomfamille"]);
                    $lprenom = antiInjection($result[0]["prenom"]);
                    $ladresse1 = antiInjection($result[0]["adresse1"]);
                    $ladresse2 = antiInjection($result[0]["adresse2"]);
                    $lville = antiInjection($result[0]["ville"]);
                    $lcodepostal = antiInjection($result[0]["codepostal"]);
                    $ltelephone = antiInjection($result[0]["numtel"]);
                    $lnumero = antiInjection($result[0]["numemploye"]);
                    $lnoemploye = antiInjection($result[0]["refemploye"]);
                    $lmembreca = antiInjection($result[0]["membreca"]);
                    $lpresentation = antiInjection($result[0]["presentation"]);
                    $lnoemployeur = antiInjection($result[0]["refemployeur"]);
                    $lemail = antiInjection($result[0]["email"]);
                } else {
                    $module["resultatSQL"] = true;
                    $module["message"] = $module["msg"]["rech_echec"];
                }
            }
        }
    } elseif ($action == "Supprimer") {
        unset($sqlparam);
        $sqlparam["type"] = "UPDATE";
        $sqlparam["table"][] = "employes";
        $sqlparam["where"][] = "employes.refemploye=" . antiInjection($lnoemploye);
        $sqlparam["champs"]["archive"] = 1;
        $result = executerRequeteSql($sqlparam);
        if (isset($result) && is_array($result)) {
            if (count($result) > 0) {
                $module["resultatSQL"] = true;
                $module["message"] = $module["msg"]["suppr_ok"];
            } else {
                $module["resultatSQL"] = true;
                $module["message"] = $module["msg"]["suppr_echec"];
            }
            reset_champs();
        }
    }
} else {
    reset_champs();
}

if (!empty($action) && $action != "Recherche") {
    
}

$i = 0;
unset($sqlparam);
$sqlparam["compte"] = "employes.refemploye";
$sqlparam["table"][] = "employes";
$sqlparam["table"][] = "lieuxtravail";
$sqlparam["table"][] = "employeurs";
$sqlparam["join"][] = "lieuxtravail.reflieutravail = employes.reflieutravail";
$sqlparam["join"][] = "employeurs.refemployeur = lieuxtravail.refemployeur";
$sqlparam["champs"][] = "employes.refemploye";
$sqlparam["champs"][] = "employes.nomfamille";
$sqlparam["champs"][] = "employes.prenom";
$sqlparam["champs"][] = "employes.numemploye";
$sqlparam["champs"][] = "employes.adresse1";
$sqlparam["champs"][] = "employes.adresse2";
$sqlparam["champs"][] = "employes.ville";
$sqlparam["champs"][] = "employes.codepostal";
$sqlparam["champs"][] = "employes.numtel";
$sqlparam["champs"][] = "employes.refemployeur";
$sqlparam["champs"][] = "employes.membreca";
$sqlparam["champs"][] = "employes.refemploye";
$sqlparam["champs"][] = "employeurs.nomemployeur";
$sqlparam["champs"][] = "employes.presentation";
$sqlparam["champs"][] = "employes.reflieutravail";
$sqlparam["champs"][] = "lieuxtravail.nomlieutravail";
$sqlparam["champs"][] = "employes.email";

$sqlparam["limite"] = ($nombreaffiche * ($nopage - 1)) . "," . $nombreaffiche;
$sqlparam["ordre"][] = $rtri;

if (isset($ListeEmployeurs) && !empty($ListeEmployeurs) && $ListeEmployeurs != "-1") {
    $sqlparam["where"][] = sprintf("employes.refemployeur=%d", $ListeEmployeurs);
}

if (isset($ListeEmployes) && $ListeEmployes != "-1" && $ListeEmployes != 0) {
    $sqlparam["where"][] = sprintf("employes.refemploye=  %d", $ListeEmployes);
}

unset($sqltemp);
if (isset($lreference) && !empty($lreference)) {
    $sqltemp = "employes.refemploye=" . antiInjection($lreference);
    $sqlparam["where"][] = $sqltemp;
    $module["recherche"]["lreference"] = $lreference;
} elseif (isset($zonerecherche) && !empty($zonerecherche)) {
    $sqltemp = "CONCAT(employes.nomfamille, ' ',employes.prenom, ' ',employes.numemploye, ";
    $sqltemp .= "' ',employes.adresse1, ' ',employes.adresse2, ' ',employes.ville, ' ',employes.numtel) ";
    $sqltemp .= "like '%" . antiInjection($zonerecherche) . "%'";
    $sqlparam["where"][] = $sqltemp;
    $module["recherche"]["zonerecherche"] = $zonerecherche;
}
$sqlparam["where"][] = "employes.archive=0";
$result = executerRequeteSql($sqlparam);
if (isset($result) && is_array($result) && count($result) > 0) {
    $module["compte"] = $result[0]["compte"];
}

// Afficher le module
print preparerModule($module);

//Liste principale;
if (isset($result) && is_array($result)) {
    if (count($result) > 0) {
        $i = ($nopage - 1) * $nombreaffiche + 1;
        unset($style);
        $style = "border:1px solid #cfcfcf; font-family:arial, helvetica, sans-serif; font-size:9pt; ";
        $style .= "margin-left:5px; margin-right:5px; overflow:hidden;";
        foreach ($result as $clef => $champs) {
            $adresse1 = ($champs["adresse2"] != "") ? $champs["adresse2"] : "";
            $telephone = ($champs["numtel"] != "") ? $champs["numtel"] : "&nbsp";
            $membreca = ($champs["membreca"] == -1) ? "Oui" : "Non";
            $champs2a = (empty($champs["numemploye"]) ? "&nbsp;" : $champs["numemploye"]);
            $email = (empty($champs["email"]) ? "" : $champs["email"]);

            print stripslashes("<tr style='height:35px; vertical-align:middle;'>\n");
            print "<td style='$style'>$i</td>\n";
            print "<td class='detail_liste' style='width:max-width:" . $module["entete"][1]["largeur"] . "; width:" . $module["entete"][1]["largeur"] . "px;'>" . htmlentities($champs["nomfamille"], ENT_SUBSTITUTE, "UTF-8") . "</td>\n";
            print "<td class='detail_liste' style='width: max-width:" . $module["entete"][2]["largeur"] . "; width:" . $module["entete"][2]["largeur"] . "px;'>" . htmlentities($champs["prenom"], ENT_SUBSTITUTE, "UTF-8") . "</td>\n";
            print "<td class='detail_liste' style='max-width:" . $module["entete"][3]["largeur"] . "; width:" . $module["entete"][3]["largeur"] . "px;'>" . $champs2a . "</td>\n";
            print "<td class='detail_liste' style='max-width:" . $module["entete"][4]["largeur"] . "; width:" . $module["entete"][4]["largeur"] . "px;'>" . ecrireTexteLimite($champs["adresse1"] . $adresse1 . ", " . $champs["ville"] . " " . $champs["codepostal"], 280) . "</td>\n";
            print "<td class='detail_liste' style='max-width:" . $module["entete"][5]["largeur"] . "; width:" . $module["entete"][5]["largeur"] . "px;'>" . ecrireTexteLimite($champs["nomemployeur"], 135) . "</td>\n";
            print "<td class='detail_liste' style='max-width:" . $module["entete"][6]["largeur"] . "; width:" . $module["entete"][5]["largeur"] . "px;'>" . ecrireTexteLimite($champs["nomlieutravail"], 135) . "</td>\n";
            print "<td class='detail_liste' style='max-width:" . $module["entete"][7]["largeur"] . "; width:" . $module["entete"][6]["largeur"] . "px;'>" . $telephone . "</td>\n";
            print "<td class='detail_liste' style='max-width:" . $module["entete"][8]["largeur"] . "; width:" . $module["entete"][7]["largeur"] . "px;'>" . ecrireMailToLimite($email, 180) . "</td>\n";
            print "<td class='detail_liste' style='max-width:" . $module["entete"][9]["largeur"] . "; width:" . $module["entete"][8]["largeur"] . "px;'>" . $membreca . "</td>";
            print "<td class='detail_liste' style='text-align:center;'>";
            print "<form action='$SCRIPT_NAME?page=liste_employes' name='sous_formulaire$i' method='post' onsubmit='return confirme_suppr(this);'>";
            print prepareBoutonModifier(array($champs["refemploye"], $champs["presentation"], $champs["nomfamille"], $champs["prenom"], addslashes($champs["adresse1"]), $adresse1, $champs["ville"], $champs["codepostal"], $champs["numtel"], $champs["email"], sprintf("%d", $champs["membreca"]), sprintf("%d", $champs["reflieutravail"]), $champs["numemploye"]));
            print "<INPUT class='supprimer' title='Supprimer' style='width:24px;' TYPE='submit' VALUE='Supprimer' name='action'>";
            print "<input type='hidden' name='lnoemploye' value='" . $champs["refemploye"] . "'>";
            print "<input type='hidden' name='jeton' value='$jeton'>";
            print "</form>";
            print "</td>\n";
            print "</tr>\n";
            $i++;
        }
    }
}
print"</table>";

// Pagination
print "<table style='width:968px; margin:auto;'>";
print "<tr><td style='vertical-align:bottom;'>";
print $seqpage;
print "</td>";
print "<td style='text-align:right;'>";

//Haut de page
if ($nombreaffiche > 15) {
    print "<a name='baspage' href='#hautpage' title='Aller en haut de la page'>Haut de page</a>";
}
print "</td></tr>";
print "</table>";

// Validation JavaScript
?>
<script type='text/javascript'>
    function ValidationFormulaire() {

        var msgPres = "Présentation requise.";
        var msgNom = "Nom de famille requis.";
        var msgPrenom = "Prénom requis.";
        var msgAdresse = "Adresse requise.";
        var msgVille = "Ville requise.";
        var msgCode = "Code postal requis.";
        var msgTel1 = "Numéro de téléphone requis et valide.";
        var msgEmail = "Adresse de courriel valide requise";
        var msgMembreca = "Est-ce que l'employé est un membre du C.A.?";
        var msgLieutravail = "Lieu de travail requis.";
        var msgNumero = "Numéro d'employé requis.";

        var frm = document.frmModif;

        var plpres = frm.lpresentation.selectedIndex;
        var plnom = frm.lnom.value;
        var plprenom = frm.lprenom.value;
        var pladresse1 = frm.ladresse1.value;
        var plcodepostal = frm.lcodepostal.value.trim();
        var plville = frm.lville.value;
        var pltel = frm.ltelephone.value;
        var pemail = frm.lemail.value;
        var pmembreca = frm.lmembreca.slectedIndex;
        var plnolieutravail = frm.lnolieutravail.selectedIndex;
        var plnumero = frm.lnumero.value;

        if (plpres === 0) {
            jAlert(msgPres);
            frm.lpresentation.focus();
            return false;
        } else if (plnom === "") {
            jAlert(msgNom);
            frm.lnom.focus();
            return false;
        } else if (plprenom === "") {
            jAlert(msgPrenom);
            frm.lprenom.focus();
            return false;
        } else if (pladresse1 === "") {
            jAlert(msgAdresse);
            frm.ladresse1.focus();
            return false;
        } else if (plville === "") {
            jAlert(msgVille);
            frm.lville.focus();
            return false;
        } else if (!isPostCode(plcodepostal)) {
            jAlert(msgCode);
            frm.lcodepostal.focus();
            return false;
        } else if (!isTelephone(pltel)) {
            jAlert(msgTel1);
            frm.ltelephone.focus();
            return false;
        } else if (!isCourrielValide(pemail)) {
            jAlert(msgEmail);
            frm.lemail.focus();
            return false;
        } else if (pmembreca === 0) {
            jAlert(msgMembreca);
            frm.lmembreca.focus();
            return false;
        } else if (plnolieutravail === 0) {
            jAlert(msgLieutravail);
            frm.lnolieutravail.focus();
            return false;
        } else if (plnumero === "") {
            jAlert(msgNumero);
            $("#lnumero").focus();
            return false;
        }
        return true;
    }

    // Confirmation de suppression
    function confirme_suppr(formulaire) {
        if (formulaire.action.value === "Supprimer") {
            return confirm("Voulez-vous vraiment désactiver cet employé?");
        } else {
            return true;
        }
    }

    function isBonEmployeur(employeurs) {
        let lieutravail = $("#lnolieutravail").val();
        return employeurs.refid === lieutravail;
    }

    //Affiche le nom de l'employeur lors de la sélection du lieux de travail
    function afficheNomEmployeur() {
        const tableauNomEmployeur = [
        <?PHP
            foreach (getLieuxTravail() as $clef => $employeur) {
                print "{ refid:\"" . $employeur["refid"] . "\", nom:\"" . $employeur["nomemployeur"] . "\"},\n";
            }
        ?>
        ];
        const nomEmployeur = tableauNomEmployeur.find(isBonEmployeur);
        $("#NomEmployeurFiche").html(" Employeur : " + nomEmployeur.nom);
    }

    // Mise en place des masques de saisie
    $(document).ready(function () {
        $("#ltelephone").mask("(999) 999-9999");
        $("#lcodepostal").mask("a9a 9a9");
        $("#frmModif").validate();
    });
</script>
<?php
//Début de la fenêtre modale du formulaire de saisie
print fenetreModaleDebut($module["fenetre"], $SCRIPT_NAME, $jeton);

// Clef de l'enregistrement de la fiche de l'employé
print"<input type='hidden' id='lnoemploye' name='lnoemploye' value='$lnoemploye'>
      <tr>
         <td>Présentation : </td>
         <td>";
unset($listeprez);
$listeprez[0]["refid"] = "-1";
$listeprez[0]["valeur"] = "Madame";
$listeprez[1]["refid"] = "0";
$listeprez[1]["valeur"] = "Monsieur";

// Présentation
print "  <select name='lpresentation' id='lpresentation' value='$lpresentation'>
  <option>-----</option>
  <option value='-1'>Madame</option>
  <option value='0'>Monsieur</option>
  </select>";

// Nom, prénom, adresse, ville
// code postal, téléphone et adresse courriel
print "         </td>
      </tr>
      <tr>
         <td>Nom de famille : </td>
         <td>
            <INPUT TYPE='text' id='lnom' NAME='lnom' Value='$lnom' SIZE='20' MAXLENGTH='20' >
         </td>
      </tr>
      <tr>
         <td>Prénom : </td>
         <td>
            <INPUT TYPE='text' id='lprenom' NAME='lprenom' Value='$lprenom' SIZE='20' MAXLENGTH='20' >
         </td>
      </tr>
      <tr>
         <td valign=top>Adresse : </td>
         <td>
            <INPUT TYPE='text' id='ladresse1' NAME='ladresse1' Value='$ladresse1' SIZE='50' MAXLENGTH='50' >\n<br>
            <INPUT TYPE='text' id='ladresse2' NAME='ladresse2' Value='$ladresse2' SIZE='50' MAXLENGTH='50'>
         </td>
      </tr>
      <tr>
         <td>Ville : </td>
         <td>
            <INPUT TYPE='text' id='lville' NAME='lville' Value='$lville' SIZE='30' MAXLENGTH='30' >
         </td>
      </tr>
      <tr>
         <td>Code postal : </td>
         <td>
            <INPUT TYPE='text' id='lcodepostal' NAME='lcodepostal' SIZE='7' MAXLENGTH='7' Value='$lcodepostal' >
                Format: A9A 9A9
         </td>
      </tr>
      <tr>
         <td>Téléphone : </td>
         <td>
            <INPUT TYPE='text' id='ltelephone' NAME='ltelephone' Value='$ltelephone' SIZE='14' MAXLENGTH='14' >
                Format : (XXX) XXX-XXXX
         </td>
      </tr>
      <tr>
         <td>Adresse de courriel : </td>
         <td>
            <INPUT TYPE='text' id='lemail' NAME='lemail' Value='$lemail' SIZE='50' MAXLENGTH='50' class='email'>
         </td>
      </tr>
      <tr>
         <td>Membre du CA : </td>
         <td>";

//Membre CA
print "<select name='lmembreca' id='lmembreca' value='$lmembreca'>
  <option value='-2'>-----</option>
  <option value='-1'>Oui</option>
  <option value='0'>Non</option>
  </select>
  </td>
  </tr>";

//Lieu de travail
print "<tr>
         <td>Lieu de travail : </td>
         <td>";

unset($result2);
$result2 = getLieuxTravail();
unset($param);
$param["form"] = "frmModif";
$param["nom"] = "lnolieutravail";
$param["etq"] = "";
$param["defaut"] = $_SESSION["lieutravail"];
$param["donnees"] = $result2;
$param["menu"] = true;
$param["evt"] = "onchange=\"afficheNomEmployeur()\"";
print formListbox2($param);
print "<span id='NomEmployeurFiche'></span>";
print "</td>
      </tr>";

// Numéro de l'employé
print "<tr>
         <td>Numéro d'employé : </td>
         <td>
            <INPUT TYPE='text' id='lnumero' NAME='lnumero' Value='$lnumero' SIZE='10' MAXLENGTH='10'>
         </td>
      </tr>";
print "<input type='hidden' value='$ListeEmployeurs' name='ListeEmployeurs'>";
print "<input type='hidden' value='$ListeEmployes' name='ListeEmployes'>";

// Fermeture du formulaire de saisie
print fenetreModaleFin($module["actionajoutbouton"]);

// Exécution de fonctions pour les boutons d'action
if (isset($action) && $action == "Recherche" && isset($recherchereussie) && $recherchereussie == true) {
    print "<script type='text/javascript'>";
    print "   $(document).ready(function() {\n";
    print "      changetitre(2);\n";
    $adresse1 = ($ladresse2 != "") ? $ladresse2 : "";
    print "        mettrevaleurdansid(\"$lnoemploye\",\"$lpresentation\",\"$lnom\",\"$lprenom\",\"" . addslashes($ladresse1) . "\",\"" . $adresse1 . "\",\"$lville\",\"$lcodepostal\",";
    print "$ltelephone,\"$lemail\",\"$lmembreca\",$lnolieutravail,\"$lnumero\");";
    print "   });";
    print "</script>\n";
}

